:host {
	overflow: hidden;
	background-color: var(--background-color);
	position: relative;

	display: grid;

	&.overlay-hidden {
		cursor: none !important;
	}

	.member-grid {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
		grid-auto-rows: 1fr;
		grid-auto-flow: column;

		.member-view {
			display: grid;
			position: relative;
			overflow: hidden;
			height: 100%;

			.member-view-header {
				display: grid;
				gap: 8px;
				grid-auto-flow: column;
				align-items: center;

				position: absolute;
				top: 8px;
				left: 8px;
				z-index: 1;

				.member-view-name {
					margin: 0;
				}

				img,
				app-avatar {
					height: 32px;
					object-fit: contain;
					transition: box-shadow 400ms ease;
					border-radius: 50%;
				}
			}

			.member-view-profile-image {
				display: grid;
				justify-items: center;
				align-items: center;
				padding: 10%;

				img {
					height: 100%;
					width: auto;
					max-width: 100%;
					object-fit: contain;
					border: 1px solid var(--border-color);
					border-radius: 50%;
					background: var(--background-color);
					transition: box-shadow 250ms ease-in-out;
				}
			}

			video {
				width: 100%;
				height: 100%;
				object-fit: contain;
			}
		}
	}
	.fullscreen-participants {
		display: grid;
		grid-auto-flow: column;
		gap: 8px;

		border-radius: 4px;
		padding: 8px;
		background: var(--background-color-z1);
		z-index: 1;
		transition: transform 250ms ease-in-out;

		position: absolute;
		top: 0;
		left: 50%;
		transform: translateX(-50%) translateY(32px);

		.fullscreen-speaking-indicator {
			border: 2px solid #8e24aa;
		}
	}

	.fullscreen-controls {
		display: grid;
		grid-auto-flow: column;
		gap: 8px;

		border-radius: 4px;
		padding: 8px;
		background: var(--background-color-z1);
		z-index: 1;
		transition: transform 250ms ease-in-out;

		position: absolute;
		bottom: 0px;
		left: 50%;
		transform: translateX(-50%) translateY(-32px);
	}

	&:not(:hover),
	&.overlay-hidden {
		.fullscreen-controls {
			transform: translateX(-50%) translateY(100%);
		}

		.fullscreen-participants {
			transform: translateX(-50%) translateY(-100%);
		}
	}

	.selected-video {
		width: 100%;
	}

	&:not(.cdk-drag-dragging):not(.screenshare-fullscreen):not(.disable-transition) {
		transition: transform 300ms ease-in-out;
	}

	&.screenshare-hidden {
		display: none;
	}

	&.screenshare-small {
		max-width: 25vw;

		video {
			width: 100%;
			max-height: 25vh;
		}
	}

	&.screenshare-medium {
		max-width: 40vw;

		video {
			width: 100%;
			max-height: 40vh;
		}
	}

	&.screenshare-fullscreen {
		width: 100vw;

		video {
			width: 100%;
			max-height: 100vh;
		}
	}
}
